/**
 * Copyright (c) IBM Japan 2013. All rights reserved.
 */
package net.dependableos.dcase.toolchain.rhapsodyextension.jaxb.diagram;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="children" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *         &lt;element name="element" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *         &lt;element name="layoutConstraint" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="fontName" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *       &lt;attribute name="lineColor" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *       &lt;attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *       &lt;attribute name="xmi_id" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *       &lt;attribute name="xmi_type" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "children",
    "element",
    "layoutConstraint"
})
@XmlRootElement(name = "children")
public class Children {

    protected List<Children> children;
    protected Element element;
    protected LayoutConstraint layoutConstraint;
    @XmlAttribute
    @XmlSchemaType(name = "anySimpleType")
    protected String fontName;
    @XmlAttribute
    protected BigInteger lineColor;
    @XmlAttribute(required = true)
    protected BigInteger type;
    @XmlAttribute(name = "id", required = true, namespace="http://www.omg.org/XMI")
    @XmlSchemaType(name = "anySimpleType")
    protected String xmiId;
    @XmlAttribute(name = "type", required = true, namespace="http://www.omg.org/XMI")
    @XmlSchemaType(name = "anySimpleType")
    protected String xmiType;

    /**
     * Gets the value of the children property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public List<Children> getChildren() {
    	if(children == null) {
    		children = new ArrayList<Children>();
    	}
        return this.children;
    }

    /**
     * Sets the value of the children property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setChildren(List<Children> value) {
        this.children = value;
    }

    /**
     * Gets the value of the element property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Element getElement() {
        return element;
    }

    /**
     * Sets the value of the element property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setElement(Element value) {
        this.element = value;
    }

    /**
     * Gets the value of the layoutConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public LayoutConstraint getLayoutConstraint() {
        return layoutConstraint;
    }

    /**
     * Sets the value of the layoutConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setLayoutConstraint(LayoutConstraint value) {
        this.layoutConstraint = value;
    }

    /**
     * Gets the value of the fontName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFontName() {
        return fontName;
    }

    /**
     * Sets the value of the fontName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFontName(String value) {
        this.fontName = value;
    }

    /**
     * Gets the value of the lineColor property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getLineColor() {
        return lineColor;
    }

    /**
     * Sets the value of the lineColor property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setLineColor(BigInteger value) {
        this.lineColor = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setType(BigInteger value) {
        this.type = value;
    }

    /**
     * Gets the value of the xmiId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getXmiId() {
        return xmiId;
    }

    /**
     * Sets the value of the xmiId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setXmiId(String value) {
        this.xmiId = value;
    }

    /**
     * Gets the value of the xmiType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getXmiType() {
        return xmiType;
    }

    /**
     * Sets the value of the xmiType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setXmiType(String value) {
        this.xmiType = value;
    }

}
