/**
 * Copyright (c) IBM Japan 2013. All rights reserved.
 */
package net.dependableos.dcase.toolchain.rhapsodyextension.jaxb.diagram;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ibm.jaxb.diagram.simple package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class SimpleDiagramObjectFactory {

    private final static QName _Diagram_QNAME = new QName("http://www.eclipse.org/gmf/runtime/1.0.2/notation", "Diagram");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ibm.jaxb.diagram.simple
     * 
     */
    public SimpleDiagramObjectFactory() {
    }

    /**
     * Create an instance of {@link SimpleDiagram }
     * 
     */
    public SimpleDiagram createDiagram() {
        return new SimpleDiagram();
    }

    /**
     * Create an instance of {@link SimpleDiagram.Styles }
     * 
     */
    public SimpleDiagram.Styles createDiagramStyles() {
        return new SimpleDiagram.Styles();
    }

    /**
     * Create an instance of {@link SimpleDiagram.Element }
     * 
     */
    public SimpleDiagram.Element createDiagramElement() {
        return new SimpleDiagram.Element();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SimpleDiagram }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.eclipse.org/gmf/runtime/1.0.2/notation", name = "Diagram")
    public JAXBElement<SimpleDiagram> createDiagram(SimpleDiagram value) {
        return new JAXBElement<SimpleDiagram>(_Diagram_QNAME, SimpleDiagram.class, null, value);
    }

}
