/**
 * Copyright (c) IBM Japan 2013. All rights reserved.
 */
package net.dependableos.dcase.toolchain.rhapsodyextension.model;

import com.telelogic.rhapsody.core.*;

/**
 * D-Casẽfvf̂AStrategyǗNX
 */
public class DStrategy extends DNode {
	
	/**
	 * RXgN^
	 * @param name@fvf̖
	 * @param displayName fvf̕\
	 * @param prj fvf܂ރvWFNg
	 * @param pkg fvf܂ރpbP[W
	 */
	public DStrategy(String name, String displayName, IRPProject prj, IRPPackage pkg){
		super(name, displayName, "Strategy", prj, pkg);
	}
	
	/**
	 * eXg
	 */
	public static void main(String[] args){
		IRPApplication app = null;
		try{
			app = RhapsodyAppServer.getActiveRhapsodyApplication();
		}
		catch(Exception e){
			System.out.println("Rhapsody is not active.");
			e.printStackTrace();
			System.exit(0);
		}
		IRPProject prj = app.activeProject();
		IRPPackage pkg = (IRPPackage) prj.findNestedElement("Default", "Package");
		if(pkg == null){
			pkg = prj.addPackage("Default");
		}
		
		DStrategy s = new DStrategy("St1", "Ƃɋc_", prj, pkg);
	}

}
